Subject: bug#63331: Guile-GnuTLS/Git circular dependency

From: Vivien Kraus <[email-masked]>
Date: Sat, 06 May 2023 22:07:06 +0200

Hi!

Le samedi 06 mai 2023 à 19:20 +0200, Ludovic Courtès a écrit :
> We need to solve that.  For now, the only fix I can think of is
> having
> ‘guile-gnutls’ built from a “make dist”-provided tarballs. 
> Apparently
> we can add assets at <https://gitlab.com/gnutls/guile/-/tags>; would
> you
> like to upload a tarball and accompanying signature, Simon?

If the problem is with git-download, couldn’t we just use a "git-
archive"-provided tarball, and keep the bootstrapping process? Or are
there further dependencies with the autotools that require a dist-
provided tarball?

Vivien